# Uses of Class
java.lang.instrument.ClassDefinition

Packages that use ClassDefinition
Package
Description
java.lang.instrument
Provides services that allow Java programming language agents to instrument programs running on the JVM.

## Uses of ClassDefinition in java.lang.instrument

Methods in java.lang.instrument with parameters of type ClassDefinition
Modifier and Type
Method
Description
`void`
Instrumentation.`redefineClasses(ClassDefinition... definitions)`
Redefine the supplied set of classes using the supplied class files.